Download it now!
Bug 106787 - Double click on RTF document in Windows Explorer results in incorrect formatting - File Open from Writer is OK
Summary: Double click on RTF document in Windows Explorer results in incorrect formatt...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2017-03-27 00:12 UTC by Larry.Finger@lwfinger.net
Modified: 2017-07-20 06:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot taken when file is opened by double clicking on Win Explorer list (495.72 KB, image/png)
2017-03-27 16:03 UTC, Larry.Finger@lwfinger.net
Details
Screenshot taken when same file is opened from File=>Open menu (134.53 KB, image/png)
2017-03-27 16:04 UTC, Larry.Finger@lwfinger.net
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Larry.Finger@lwfinger.net 2017-03-27 00:12:04 UTC
When opening an RTF document by double clicking on the name in a Windows Explorer file display with Windows 10 Pro (64 bit) results in incorrect formatting. On the other hand, launching Writer from the Program Menu and using File => Open gives the correct result.

The same file works either way with the Linux version.
Comment 1 Xisco Faulí 2017-03-27 09:36:33 UTC Comment hidden (obsolete)
Comment 2 Larry.Finger@lwfinger.net 2017-03-27 16:03:29 UTC
Created attachment 132172 [details]
Screenshot taken when file is opened by double clicking on Win Explorer list
Comment 3 Larry.Finger@lwfinger.net 2017-03-27 16:04:46 UTC
Created attachment 132173 [details]
Screenshot taken when same file is opened from File=>Open menu
Comment 4 Larry.Finger@lwfinger.net 2017-03-27 16:07:25 UTC
I updated LibreOffice to Version 5.2.6.2 and got the same result. The screenshots posted show the results from the two different ways to open the file.
Comment 5 Buovjaga 2017-03-30 12:19:29 UTC
(In reply to Larry.Finger@lwfinger.net from comment #2)
> Created attachment 132172 [details]
> Screenshot taken when file is opened by double clicking on Win Explorer list

This shows your browser.

Is it possible for you to attach the rtf file itself?
Comment 6 Larry.Finger@lwfinger.net 2017-07-20 01:10:51 UTC
When I repeated the test today with Writer Version: 5.3.3.2 Build ID: 30m0(Build:2) and Microsoft Word 2003, it worked just fine. It seems that the problem has been fixed. Sorry about any noise.

I will close it as FIXED.
Comment 7 Buovjaga 2017-07-20 06:42:23 UTC
Thanks for the follow up. I will tweak status to worksforme.